org.richfaces.component

## Class AbstractAjaxLog

- java.lang.Object
- - javax.faces.component.UIComponent
  - - javax.faces.component.UIComponentBase
    - - org.richfaces.component.AbstractAjaxLog

- All Implemented Interfaces:
    EventListener, javax.faces.component.PartialStateHolder, javax.faces.component.StateHolder, javax.faces.component.TransientStateHolder, javax.faces.event.ComponentSystemEventListener, javax.faces.event.FacesListener, javax.faces.event.SystemEventListenerHolder, StyleClassProps, StyleProps
  Direct Known Subclasses:
    UIAjaxLog

      public abstract class AbstractAjaxLog
      extends javax.faces.component.UIComponentBase
      implements StyleProps, StyleClassProps

  The <a4j:log> component generates JavaScript that opens a debug window, logging application information such as requests, responses, and DOM changes.

  Author:
    Nick Belaevski

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `COMPONENT_FAMILY`
    `static String` | `COMPONENT_TYPE`

    - ### Fields inherited from class javax.faces.component.UIComponent

      `ATTRS_WITH_DECLARED_DEFAULT_VALUES, BEANINFO_KEY, bindings, COMPOSITE_COMPONENT_TYPE_KEY, COMPOSITE_FACET_NAME, CURRENT_COMPONENT, CURRENT_COMPOSITE_COMPONENT, FACETS_KEY, HONOR_CURRENT_COMPONENT_ATTRIBUTES_PARAM_NAME, VIEW_LOCATION_KEY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractAjaxLog()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract String` | `getHotkey()` Key to open (in combination with Ctrl+Shift) the popup window.
    `abstract String` | `getLevel()` Sets the logging level, can be one of 'debug', 'info' (default), 'warn', 'error'.
    `abstract LogMode` | `getMode()` Determines how the log appears on the page, can be one of: "inline" (default), "popup" or "console".

    - ### Methods inherited from class javax.faces.component.UIComponentBase

      `addClientBehavior, addFacesListener, broadcast, clearInitialState, decode, encodeBegin, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getClientBehaviors, getClientId, getDefaultEventName, getEventNames, getFacesContext, getFacesListeners, getFacet, getFacetCount, getFacets, getFacetsAndChildren, getId, getListenersForEventClass, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, invokeOnComponent, isRendered, isTransient, markInitialState, processDecodes, processRestoreState, processSaveState, processUpdates, processValidators, queueEvent, removeFacesListener, restoreAttachedState, restoreState, saveAttachedState, saveState, setId, setParent, setRendered, setRendererType, setTransient, setValueBinding, subscribeToEvent, unsubscribeFromEvent`

    - ### Methods inherited from class javax.faces.component.UIComponent

      `encodeAll, getClientId, getCompositeComponentParent, getContainerClientId, getCurrentComponent, getCurrentCompositeComponent, getFamily, getNamingContainer, getResourceBundleMap, getStateHelper, getStateHelper, getTransientStateHelper, getTransientStateHelper, getValueExpression, initialStateMarked, isCompositeComponent, isInView, isVisitable, popComponentFromEL, processEvent, pushComponentToEL, restoreTransientState, saveTransientState, setInView, setValueExpression, visitTree`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.richfaces.component.attribute.StyleProps

      `getStyle`

    - ### Methods inherited from interface org.richfaces.component.attribute.StyleClassProps

      `getStyleClass`

- - ### Field Detail

    - #### COMPONENT_TYPE

          public static final String COMPONENT_TYPE

      See Also:
        Constant Field Values

    - #### COMPONENT_FAMILY

          public static final String COMPONENT_FAMILY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### AbstractAjaxLog

          public AbstractAjaxLog()

  - ### Method Detail

    - #### getLevel

          public abstract String getLevel()

      Sets the logging level, can be one of 'debug', 'info' (default), 'warn', 'error'.

    - #### getMode

          public abstract LogMode getMode()

      Determines how the log appears on the page, can be one of: "inline" (default), "popup" or "console". When set to "popup", the popup window is opened by pressing the key combination Ctrl + Shift + L. "console" mode will log messages in the JavaScript console.

    - #### getHotkey

          public abstract String getHotkey()

      Key to open (in combination with Ctrl+Shift) the popup window. Default value is "L"

Copyright © 2015 JBoss by Red Hat. All Rights Reserved.